#ifndef __VIDEO_H
#define __VIDEO_H 1


#include <stdlib.h>
#include <string.h>

#include "mem.h"
#include "hw_si.h"
#include "audio.h"


// GL_TEXTURE_RECTANGLE_EXT / NV
#define GL_TEXTURE_RECT 		0x84f5
//#define GL_TEXTURE_RECT 	GL_TEXTURE_2D
#define VID_BPP						24



int video_init (int w, int h);
void video_close (void);
void video_refresh (void);
void video_set_framebuffer (unsigned char *addr);
void video_dump_texture (char *filename, char *data, int w, int h, int format);

void video_disable_fb (int disable);
int input_gamepads_connected (void);


#endif // __VIDEO_H
